io.agora.rtc.utils

## Class VadDumpUtils

- java.lang.Object
- - io.agora.rtc.utils.VadDumpUtils

-     public class VadDumpUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `count`
    `private java.lang.String` | `filePath`
    `private int` | `frameCount`
    `private java.io.PrintWriter` | `labelFile`
    `private java.io.FileOutputStream` | `sourceFile`
    `private java.io.FileOutputStream` | `vadFile`
    `private java.util.concurrent.ExecutorService` | `writeFileExecutorService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VadDumpUtils(java.lang.String path)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private boolean` | `checkDirectoryExists(java.lang.String path)`
    `private void` | `closeVadFile()`
    `private void` | `createVadFile()`
    `private boolean` | `open()`
    `void` | `release()`
    `void` | `write(AudioFrame frame, byte[] vadResultBytes, Constants.VadState vadResultState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filePath

          private java.lang.String filePath

    - #### count

          private int count

    - #### frameCount

          private int frameCount

    - #### sourceFile

          private java.io.FileOutputStream sourceFile

    - #### labelFile

          private java.io.PrintWriter labelFile

    - #### vadFile

          private java.io.FileOutputStream vadFile

    - #### writeFileExecutorService

          private final java.util.concurrent.ExecutorService writeFileExecutorService

  - ### Constructor Detail

    - #### VadDumpUtils

          public VadDumpUtils(java.lang.String path)

  - ### Method Detail

    - #### checkDirectoryExists

          private boolean checkDirectoryExists(java.lang.String path)

    - #### createVadFile

          private void createVadFile()

    - #### closeVadFile

          private void closeVadFile()

    - #### open

          private boolean open()

    - #### write

          public void write(AudioFrame frame,
                            byte[] vadResultBytes,
                            Constants.VadState vadResultState)

    - #### release

          public void release()